创建文生视频任务
curl --request POST \
--url https://ai.alad.com/v1/video/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "doubao-seedance-1-5-pro-251215",
"content": [
{
"type": "text",
"text": "<string>"
}
],
"ratio": "16:9",
"resolution": "720p",
"duration": 5,
"generate_audio": false,
"watermark": false,
"seed": 123,
"camera_fixed": false
}
'import requests
url = "https://ai.alad.com/v1/video/generations"
payload = {
"model": "doubao-seedance-1-5-pro-251215",
"content": [
{
"type": "text",
"text": "<string>"
}
],
"ratio": "16:9",
"resolution": "720p",
"duration": 5,
"generate_audio": False,
"watermark": False,
"seed": 123,
"camera_fixed": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'doubao-seedance-1-5-pro-251215',
content: [{type: 'text', text: '<string>'}],
ratio: '16:9',
resolution: '720p',
duration: 5,
generate_audio: false,
watermark: false,
seed: 123,
camera_fixed: false
})
};
fetch('https://ai.alad.com/v1/video/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "gen-abc123",
"model": "doubao-seedance-1-5-pro-251215",
"status": "processing",
"created_at": 1773130665
}ByteDance
Seedance 1.5 Pro 文生视频
使用 doubao-seedance-1-5-pro-251215 模型从文本生成视频。
POST
/
v1
/
video
/
generations
创建文生视频任务
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
模型 ID
可用选项:
doubao-seedance-1-5-pro-251215 示例:
"doubao-seedance-1-5-pro-251215"
内容数组,包含文本提示词。
Minimum array length:
1Show child attributes
Show child attributes
画面比例。文生视频不支持 adaptive。
可用选项:
16:9, 4:3, 1:1, 3:4, 9:16, 21:9 示例:
"16:9"
输出分辨率。
可用选项:
480p, 720p, 1080p 示例:
"720p"
视频时长(秒),4-12 秒。
必填范围:
4 <= x <= 12示例:
5
是否生成音频。仅本模型支持。
是否添加水印。
随机种子。
是否固定摄像头。
⌘I

